Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] Search objects
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • Timestamp
  • DataCatalogLinkedTag
  • DataCatalogLinkedEntity
  • DataCatalogAssetKey
  • DataCatalogAssetType
  • DataCatalogAssetConsoleView
  • DataCatalogDataStoreConsoleView
  • DataCatalogDomainConsoleView
  • DataCatalogTagConsoleView
  • DataCatalogGlossaryConsoleView
  • DataCatalogClassificationConsoleView
  • DataCatalogTermConsoleView
  • DataCatalogQueryView
  • DataCatalogDetailedSearchResult
  1. DataLens Public API
  2. DataLens API (англ.)
  3. DataCatalog
  4. 🚧 [Experimental] Search objects
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • Timestamp
    • DataCatalogLinkedTag
    • DataCatalogLinkedEntity
    • DataCatalogAssetKey
    • DataCatalogAssetType
    • DataCatalogAssetConsoleView
    • DataCatalogDataStoreConsoleView
    • DataCatalogDomainConsoleView
    • DataCatalogTagConsoleView
    • DataCatalogGlossaryConsoleView
    • DataCatalogClassificationConsoleView
    • DataCatalogTermConsoleView
    • DataCatalogQueryView
    • DataCatalogDetailedSearchResult

🚧 [Experimental] Search objects

Searches objects by name and type.

RequestRequest

POST

https://api.datalens.tech/rpc/searchObjects

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "query": "example",
  "objectType": "rest-catalog",
  "pageSize": 1,
  "pageToken": "example"
}

Name

Description

query

Type: string

Object name to search for.

Min length: 1

Example: example

objectType

Type: string

Object type to search for.

Enum: rest-catalog, rest-catalog-namespace, rest-catalog-table, connection, cluster, pipeline, transfer, dataset, chart, workbook, collection, dashboard, report

pageSize

Type: integer

Maximum number of results.

Min value: 1

Max value: 100

pageToken

Type: string

nextPageToken from the previous response.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "results": [
    {
      "childrenCount": "example",
      "detailedObject": "asset",
      "asset": {}
    }
  ],
  "nextPageToken": "example",
  "searchId": "example"
}

Name

Description

nextPageToken

Type: string

Example: example

results

Type: DataCatalogDetailedSearchResult[]

Example
[
  {
    "childrenCount": "example",
    "detailedObject": "asset",
    "asset": {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {},
      "updatedAt": null,
      "urn": "example",
      "description": "example",
      "documetation": "example",
      "tags": [
        null
      ],
      "termins": [
        null
      ],
      "domain": null,
      "service": "example",
      "isDocumentationAiGenerated": true,
      "parent": {},
      "path": [
        null
      ],
      "type": {},
      "payload": "example",
      "majorVersion": "example",
      "minorVersion": "example",
      "ingestionIds": [
        null
      ],
      "ingestionSourceIds": [
        null
      ],
      "lastIngestionAt": null,
      "subTypes": [
        null
      ],
      "assetTypeSpecificInfo": "query",
      "query": {}
    }
  }
]

searchId

Type: string

Example: example

TimestampTimestamp

Type: object | null

Example
{
  "seconds": "example",
  "nanos": 0.5
}

DataCatalogLinkedTagDataCatalogLinkedTag

Name

Description

id

Type: string

Example: example

isAiLinked

Type: boolean

isDspm

Type: boolean

name

Type: string

Example: example

Example
{
  "id": "example",
  "name": "example",
  "isAiLinked": true,
  "isDspm": true
}

DataCatalogLinkedEntityDataCatalogLinkedEntity

Name

Description

id

Type: string

Example: example

isAiLinked

Type: boolean

name

Type: string

Example: example

Example
{
  "id": "example",
  "name": "example",
  "isAiLinked": true
}

DataCatalogAssetKeyDataCatalogAssetKey

Type: object | null

Example
{
  "urn": "example",
  "name": "example"
}

DataCatalogAssetTypeDataCatalogAssetType

Type: object | null

Example
{
  "type": "example",
  "name": "example"
}

DataCatalogAssetConsoleViewDataCatalogAssetConsoleView

Any of 2 types
  • Type: object

    assetTypeSpecificInfo

    Type: string

    Const: query

    Example: example

    createdAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    datacatalogId

    Type: string

    Example: example

    description

    Type: string

    Example: example

    documetation

    Type: string

    Object documentation; field name follows Data Catalog API.

    Example: example

    domain

    All of 2 types
    • Type: DataCatalogLinkedEntity

      Example
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true
      }
      
    • Type: object | null

      Example
      {}
      
    Example
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
    

    ingestionIds

    Type: string[]

    Example
    [
      "example"
    ]
    

    ingestionSourceIds

    Type: string[]

    Example
    [
      "example"
    ]
    

    isDocumentationAiGenerated

    Type: boolean

    lastIngestionAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    majorVersion

    Type: string

    Example: example

    minorVersion

    Type: string

    Example: example

    name

    Type: string

    Example: example

    parent

    Type: DataCatalogAssetKey

    Example
    {
      "urn": "example",
      "name": "example"
    }
    

    path

    Type: array
    All of 2 types
    • Type: DataCatalogAssetKey

      Example
      {
        "urn": "example",
        "name": "example"
      }
      
    • Type: object

      Example
      {}
      
    Example
    [
      {
        "urn": "example",
        "name": "example"
      }
    ]
    

    payload

    Type: string

    Service-specific object payload, as returned by Data Catalog.

    Example: example

    query

    Type: object

    isPublished

    Type: boolean

    language

    Type: string

    Example: example

    text

    Type: string

    Example: example

    Example
    {
      "text": "example",
      "language": "example",
      "isPublished": true
    }
    

    service

    Type: string

    Example: example

    subTypes

    Type: array
    All of 2 types
    • Type: DataCatalogAssetType

      Example
      {
        "type": "example",
        "name": "example"
      }
      
    • Type: object

      Example
      {}
      
    Example
    [
      {
        "type": "example",
        "name": "example"
      }
    ]
    

    tags

    Type: DataCatalogLinkedTag[]

    Example
    [
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true,
        "isDspm": true
      }
    ]
    

    termins

    Type: DataCatalogLinkedEntity[]

    Example
    [
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true
      }
    ]
    

    type

    Type: DataCatalogAssetType

    Example
    {
      "type": "example",
      "name": "example"
    }
    

    updatedAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    urn

    Type: string

    Example: example

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "urn": "example",
      "description": "example",
      "documetation": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termins": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "domain": null,
      "service": "example",
      "isDocumentationAiGenerated": true,
      "parent": {
        "urn": "example",
        "name": "example"
      },
      "path": [
        null
      ],
      "type": {
        "type": "example",
        "name": "example"
      },
      "payload": "example",
      "majorVersion": "example",
      "minorVersion": "example",
      "ingestionIds": [
        "example"
      ],
      "ingestionSourceIds": [
        "example"
      ],
      "lastIngestionAt": null,
      "subTypes": [
        null
      ],
      "assetTypeSpecificInfo": "query",
      "query": {
        "text": "example",
        "language": "example",
        "isPublished": true
      }
    }
    
  • Type: object

    createdAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    datacatalogId

    Type: string

    Example: example

    description

    Type: string

    Example: example

    documetation

    Type: string

    Object documentation; field name follows Data Catalog API.

    Example: example

    domain

    All of 2 types
    • Type: DataCatalogLinkedEntity

      Example
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true
      }
      
    • Type: object | null

      Example
      {}
      
    Example
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
    

    ingestionIds

    Type: string[]

    Example
    [
      "example"
    ]
    

    ingestionSourceIds

    Type: string[]

    Example
    [
      "example"
    ]
    

    isDocumentationAiGenerated

    Type: boolean

    lastIngestionAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    majorVersion

    Type: string

    Example: example

    minorVersion

    Type: string

    Example: example

    name

    Type: string

    Example: example

    parent

    Type: DataCatalogAssetKey

    Example
    {
      "urn": "example",
      "name": "example"
    }
    

    path

    Type: array
    All of 2 types
    • Type: DataCatalogAssetKey

      Example
      {
        "urn": "example",
        "name": "example"
      }
      
    • Type: object

      Example
      {}
      
    Example
    [
      {
        "urn": "example",
        "name": "example"
      }
    ]
    

    payload

    Type: string

    Service-specific object payload, as returned by Data Catalog.

    Example: example

    service

    Type: string

    Example: example

    subTypes

    Type: array
    All of 2 types
    • Type: DataCatalogAssetType

      Example
      {
        "type": "example",
        "name": "example"
      }
      
    • Type: object

      Example
      {}
      
    Example
    [
      {
        "type": "example",
        "name": "example"
      }
    ]
    

    tags

    Type: DataCatalogLinkedTag[]

    Example
    [
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true,
        "isDspm": true
      }
    ]
    

    termins

    Type: DataCatalogLinkedEntity[]

    Example
    [
      {
        "id": "example",
        "name": "example",
        "isAiLinked": true
      }
    ]
    

    type

    Type: DataCatalogAssetType

    Example
    {
      "type": "example",
      "name": "example"
    }
    

    updatedAt

    Type: Timestamp

    Example
    {
      "seconds": "example",
      "nanos": 0.5
    }
    

    urn

    Type: string

    Example: example

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "urn": "example",
      "description": "example",
      "documetation": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termins": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "domain": null,
      "service": "example",
      "isDocumentationAiGenerated": true,
      "parent": {
        "urn": "example",
        "name": "example"
      },
      "path": [
        null
      ],
      "type": {
        "type": "example",
        "name": "example"
      },
      "payload": "example",
      "majorVersion": "example",
      "minorVersion": "example",
      "ingestionIds": [
        "example"
      ],
      "ingestionSourceIds": [
        "example"
      ],
      "lastIngestionAt": null,
      "subTypes": [
        null
      ]
    }
    
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "urn": "example",
  "description": "example",
  "documetation": "example",
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ],
  "termins": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
  ],
  "domain": null,
  "service": "example",
  "isDocumentationAiGenerated": true,
  "parent": {
    "urn": "example",
    "name": "example"
  },
  "path": [
    null
  ],
  "type": {
    "type": "example",
    "name": "example"
  },
  "payload": "example",
  "majorVersion": "example",
  "minorVersion": "example",
  "ingestionIds": [
    "example"
  ],
  "ingestionSourceIds": [
    "example"
  ],
  "lastIngestionAt": null,
  "subTypes": [
    null
  ],
  "assetTypeSpecificInfo": "query",
  "query": {
    "text": "example",
    "language": "example",
    "isPublished": true
  }
}

DataCatalogDataStoreConsoleViewDataCatalogDataStoreConsoleView

Name

Description

cluster

Any of 4 types
  • Type: object

    clusterId

    Type: string

    Example: example

    dbType

    Type: string

    Enum: DB_TYPE_UNSPECIFIED, DB_TYPE_MYSQL, DB_TYPE_CLICKHOUSE, DB_TYPE_POSTGRES, DB_TYPE_DATA_TRANSFER, DB_TYPE_MONGO, DB_TYPE_OPENSEARCH, DB_TYPE_GREENPLUM, DB_TYPE_AIRFLOW, DB_TYPE_TRINO, DB_TYPE_S3, DB_TYPE_ICEBERG, DB_TYPE_SPARK

    info

    Type: string

    Const: clusterId

    Example: example

    installationType

    Type: string

    Enum: INSTALLATION_TYPE_UNSPECIFIED, INSTALLATION_TYPE_MANAGED, INSTALLATION_TYPE_ON_PREM

    Example
    {
      "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
      "dbType": "DB_TYPE_UNSPECIFIED",
      "info": "clusterId",
      "clusterId": "example"
    }
    
  • Type: object

    dbType

    Type: string

    Enum: DB_TYPE_UNSPECIFIED, DB_TYPE_MYSQL, DB_TYPE_CLICKHOUSE, DB_TYPE_POSTGRES, DB_TYPE_DATA_TRANSFER, DB_TYPE_MONGO, DB_TYPE_OPENSEARCH, DB_TYPE_GREENPLUM, DB_TYPE_AIRFLOW, DB_TYPE_TRINO, DB_TYPE_S3, DB_TYPE_ICEBERG, DB_TYPE_SPARK

    hosts

    Type: object

    hosts

    Type: object[]

    host

    Type: string

    Example: example

    port

    Type: string

    Example: example

    Example
    [
      {
        "host": "example",
        "port": "example"
      }
    ]
    
    Example
    {
      "hosts": [
        {
          "host": "example",
          "port": "example"
        }
      ]
    }
    

    info

    Type: string

    Const: hosts

    Example: example

    installationType

    Type: string

    Enum: INSTALLATION_TYPE_UNSPECIFIED, INSTALLATION_TYPE_MANAGED, INSTALLATION_TYPE_ON_PREM

    Example
    {
      "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
      "dbType": "DB_TYPE_UNSPECIFIED",
      "info": "hosts",
      "hosts": {
        "hosts": [
          {
            "host": "example",
            "port": "example"
          }
        ]
      }
    }
    
  • Type: object

    dbType

    Type: string

    Enum: DB_TYPE_UNSPECIFIED, DB_TYPE_MYSQL, DB_TYPE_CLICKHOUSE, DB_TYPE_POSTGRES, DB_TYPE_DATA_TRANSFER, DB_TYPE_MONGO, DB_TYPE_OPENSEARCH, DB_TYPE_GREENPLUM, DB_TYPE_AIRFLOW, DB_TYPE_TRINO, DB_TYPE_S3, DB_TYPE_ICEBERG, DB_TYPE_SPARK

    installationType

    Type: string

    Enum: INSTALLATION_TYPE_UNSPECIFIED, INSTALLATION_TYPE_MANAGED, INSTALLATION_TYPE_ON_PREM

    Example
    {
      "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
      "dbType": "DB_TYPE_UNSPECIFIED"
    }
    
  • Type: null

    Example: null

Example
{
  "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
  "dbType": "DB_TYPE_UNSPECIFIED",
  "info": "clusterId",
  "clusterId": "example"
}

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

datacatalogId

Type: string

Example: example

domain

All of 2 types
  • Type: DataCatalogLinkedEntity

    Example
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
    
  • Type: object | null

    Example
    {}
    
Example
{
  "id": "example",
  "name": "example",
  "isAiLinked": true
}

id

Type: string

Example: example

ingestedDescription

Type: string

Example: example

ingestionCount

Type: string

Example: example

ingestionSourceCount

Type: string

Example: example

isDocumentationAiGenerated

Type: boolean

name

Type: string

Example: example

tags

Type: DataCatalogLinkedTag[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true,
    "isDspm": true
  }
]

termins

Type: DataCatalogLinkedEntity[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true
  }
]

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

userDefinedDescription

Type: string

Example: example

Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "ingestedDescription": "example",
  "userDefinedDescription": "example",
  "cluster": {
    "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
    "dbType": "DB_TYPE_UNSPECIFIED",
    "info": "clusterId",
    "clusterId": "example"
  },
  "ingestionSourceCount": "example",
  "ingestionCount": "example",
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ],
  "termins": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
  ],
  "domain": null,
  "isDocumentationAiGenerated": true
}

DataCatalogDomainConsoleViewDataCatalogDomainConsoleView

Name

Description

aiGenerated

Type: boolean

assetsCount

Type: string

Example: example

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

Example: example

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

parentDomainId

Type: string

Example: example

rules

Type: string

Example: example

subdomainsCount

Type: string

Example: example

tags

Type: DataCatalogLinkedTag[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true,
    "isDspm": true
  }
]

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "assetsCount": "example",
  "aiGenerated": true,
  "rules": "example",
  "parentDomainId": "example",
  "subdomainsCount": "example",
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ]
}

DataCatalogTagConsoleViewDataCatalogTagConsoleView

Name

Description

aiGenerated

Type: boolean

assetsCount

Type: string

Example: example

classificationId

Type: string

Example: example

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

Example: example

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

id

Type: string

Example: example

isDspm

Type: boolean

name

Type: string

Example: example

rules

Type: string

Example: example

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "assetsCount": "example",
  "aiGenerated": true,
  "rules": "example",
  "classificationId": "example",
  "isDspm": true
}

DataCatalogGlossaryConsoleViewDataCatalogGlossaryConsoleView

Name

Description

aiGenerated

Type: boolean

assetsCount

Type: string

Example: example

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

Example: example

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

rules

Type: string

Example: example

tags

Type: DataCatalogLinkedTag[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true,
    "isDspm": true
  }
]

termsCount

Type: string

Example: example

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "assetsCount": "example",
  "aiGenerated": true,
  "rules": "example",
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ],
  "termsCount": "example"
}

DataCatalogClassificationConsoleViewDataCatalogClassificationConsoleView

Name

Description

aiGenerated

Type: boolean

assetsCount

Type: string

Example: example

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

Example: example

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

id

Type: string

Example: example

mutualExclusion

Type: boolean

name

Type: string

Example: example

rules

Type: string

Example: example

tagsCount

Type: string

Example: example

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "assetsCount": "example",
  "aiGenerated": true,
  "rules": "example",
  "mutualExclusion": true,
  "tagsCount": "example"
}

DataCatalogTermConsoleViewDataCatalogTermConsoleView

Name

Description

aiGenerated

Type: boolean

assetsCount

Type: string

Example: example

childCount

Type: string

Example: example

connectedTerms

Type: DataCatalogLinkedEntity[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true
  }
]

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

Example: example

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

glossaryId

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

parentTermId

Type: string

Example: example

rules

Type: string

Example: example

synonyms

Type: string[]

Example
[
  "example"
]

tags

Type: DataCatalogLinkedTag[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true,
    "isDspm": true
  }
]

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "assetsCount": "example",
  "aiGenerated": true,
  "rules": "example",
  "glossaryId": "example",
  "parentTermId": "example",
  "childCount": "example",
  "connectedTerms": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
  ],
  "synonyms": [
    "example"
  ],
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ]
}

DataCatalogQueryViewDataCatalogQueryView

Name

Description

createdAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

datacatalogId

Type: string

Example: example

description

Type: string

Example: example

documetation

Type: string

Object documentation; field name follows Data Catalog API.

Example: example

domain

All of 2 types
  • Type: DataCatalogLinkedEntity

    Example
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
    
  • Type: object | null

    Example
    {}
    
Example
{
  "id": "example",
  "name": "example",
  "isAiLinked": true
}

isDocumentationAiGenerated

Type: boolean

isNameAiGenerated

Type: boolean

isPublished

Type: boolean

language

Type: string

Example: example

name

Type: string

Example: example

service

Type: string

Example: example

statement

Type: string

Example: example

tags

Type: DataCatalogLinkedTag[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true,
    "isDspm": true
  }
]

termins

Type: DataCatalogLinkedEntity[]

Example
[
  {
    "id": "example",
    "name": "example",
    "isAiLinked": true
  }
]

updatedAt

Type: Timestamp

Example
{
  "seconds": "example",
  "nanos": 0.5
}

urn

Type: string

Example: example

Example
{
  "datacatalogId": "example",
  "name": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedAt": null,
  "urn": "example",
  "description": "example",
  "documetation": "example",
  "tags": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true,
      "isDspm": true
    }
  ],
  "termins": [
    {
      "id": "example",
      "name": "example",
      "isAiLinked": true
    }
  ],
  "domain": null,
  "service": "example",
  "isDocumentationAiGenerated": true,
  "statement": "example",
  "language": "example",
  "isNameAiGenerated": true,
  "isPublished": true
}

DataCatalogDetailedSearchResultDataCatalogDetailedSearchResult

Any of 9 types
  • Type: object

    asset

    Type: DataCatalogAssetConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "urn": "example",
      "description": "example",
      "documetation": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termins": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "domain": null,
      "service": "example",
      "isDocumentationAiGenerated": true,
      "parent": {
        "urn": "example",
        "name": "example"
      },
      "path": [
        null
      ],
      "type": {
        "type": "example",
        "name": "example"
      },
      "payload": "example",
      "majorVersion": "example",
      "minorVersion": "example",
      "ingestionIds": [
        "example"
      ],
      "ingestionSourceIds": [
        "example"
      ],
      "lastIngestionAt": null,
      "subTypes": [
        null
      ],
      "assetTypeSpecificInfo": "query",
      "query": {
        "text": "example",
        "language": "example",
        "isPublished": true
      }
    }
    

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: asset

    Example: example

    Example
    {
      "childrenCount": "example",
      "detailedObject": "asset",
      "asset": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "urn": "example",
        "description": "example",
        "documetation": "example",
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ],
        "termins": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true
          }
        ],
        "domain": null,
        "service": "example",
        "isDocumentationAiGenerated": true,
        "parent": {
          "urn": "example",
          "name": "example"
        },
        "path": [
          null
        ],
        "type": {
          "type": "example",
          "name": "example"
        },
        "payload": "example",
        "majorVersion": "example",
        "minorVersion": "example",
        "ingestionIds": [
          "example"
        ],
        "ingestionSourceIds": [
          "example"
        ],
        "lastIngestionAt": null,
        "subTypes": [
          null
        ],
        "assetTypeSpecificInfo": "query",
        "query": {
          "text": "example",
          "language": "example",
          "isPublished": true
        }
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    datastore

    Type: DataCatalogDataStoreConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "ingestedDescription": "example",
      "userDefinedDescription": "example",
      "cluster": {
        "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
        "dbType": "DB_TYPE_UNSPECIFIED",
        "info": "clusterId",
        "clusterId": "example"
      },
      "ingestionSourceCount": "example",
      "ingestionCount": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termins": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "domain": null,
      "isDocumentationAiGenerated": true
    }
    

    detailedObject

    Type: string

    Const: datastore

    Example: example

    Example
    {
      "childrenCount": "example",
      "detailedObject": "datastore",
      "datastore": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "ingestedDescription": "example",
        "userDefinedDescription": "example",
        "cluster": {
          "installationType": "INSTALLATION_TYPE_UNSPECIFIED",
          "dbType": "DB_TYPE_UNSPECIFIED",
          "info": "clusterId",
          "clusterId": "example"
        },
        "ingestionSourceCount": "example",
        "ingestionCount": "example",
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ],
        "termins": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true
          }
        ],
        "domain": null,
        "isDocumentationAiGenerated": true
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: domain

    Example: example

    domain

    Type: DataCatalogDomainConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "description": "example",
      "createdBy": "example",
      "assetsCount": "example",
      "aiGenerated": true,
      "rules": "example",
      "parentDomainId": "example",
      "subdomainsCount": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ]
    }
    
    Example
    {
      "childrenCount": "example",
      "detailedObject": "domain",
      "domain": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "description": "example",
        "createdBy": "example",
        "assetsCount": "example",
        "aiGenerated": true,
        "rules": "example",
        "parentDomainId": "example",
        "subdomainsCount": "example",
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ]
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: tag

    Example: example

    tag

    Type: DataCatalogTagConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "description": "example",
      "createdBy": "example",
      "assetsCount": "example",
      "aiGenerated": true,
      "rules": "example",
      "classificationId": "example",
      "isDspm": true
    }
    
    Example
    {
      "childrenCount": "example",
      "detailedObject": "tag",
      "tag": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "description": "example",
        "createdBy": "example",
        "assetsCount": "example",
        "aiGenerated": true,
        "rules": "example",
        "classificationId": "example",
        "isDspm": true
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: glossary

    Example: example

    glossary

    Type: DataCatalogGlossaryConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "description": "example",
      "createdBy": "example",
      "assetsCount": "example",
      "aiGenerated": true,
      "rules": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termsCount": "example"
    }
    
    Example
    {
      "childrenCount": "example",
      "detailedObject": "glossary",
      "glossary": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "description": "example",
        "createdBy": "example",
        "assetsCount": "example",
        "aiGenerated": true,
        "rules": "example",
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ],
        "termsCount": "example"
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    classification

    Type: DataCatalogClassificationConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "description": "example",
      "createdBy": "example",
      "assetsCount": "example",
      "aiGenerated": true,
      "rules": "example",
      "mutualExclusion": true,
      "tagsCount": "example"
    }
    

    detailedObject

    Type: string

    Const: classification

    Example: example

    Example
    {
      "childrenCount": "example",
      "detailedObject": "classification",
      "classification": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "description": "example",
        "createdBy": "example",
        "assetsCount": "example",
        "aiGenerated": true,
        "rules": "example",
        "mutualExclusion": true,
        "tagsCount": "example"
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: term

    Example: example

    term

    Type: DataCatalogTermConsoleView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "id": "example",
      "description": "example",
      "createdBy": "example",
      "assetsCount": "example",
      "aiGenerated": true,
      "rules": "example",
      "glossaryId": "example",
      "parentTermId": "example",
      "childCount": "example",
      "connectedTerms": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "synonyms": [
        "example"
      ],
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ]
    }
    
    Example
    {
      "childrenCount": "example",
      "detailedObject": "term",
      "term": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "id": "example",
        "description": "example",
        "createdBy": "example",
        "assetsCount": "example",
        "aiGenerated": true,
        "rules": "example",
        "glossaryId": "example",
        "parentTermId": "example",
        "childCount": "example",
        "connectedTerms": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true
          }
        ],
        "synonyms": [
          "example"
        ],
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ]
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    detailedObject

    Type: string

    Const: query

    Example: example

    query

    Type: DataCatalogQueryView

    Example
    {
      "datacatalogId": "example",
      "name": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedAt": null,
      "urn": "example",
      "description": "example",
      "documetation": "example",
      "tags": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true,
          "isDspm": true
        }
      ],
      "termins": [
        {
          "id": "example",
          "name": "example",
          "isAiLinked": true
        }
      ],
      "domain": null,
      "service": "example",
      "isDocumentationAiGenerated": true,
      "statement": "example",
      "language": "example",
      "isNameAiGenerated": true,
      "isPublished": true
    }
    
    Example
    {
      "childrenCount": "example",
      "detailedObject": "query",
      "query": {
        "datacatalogId": "example",
        "name": "example",
        "createdAt": {
          "seconds": "example",
          "nanos": 0.5
        },
        "updatedAt": null,
        "urn": "example",
        "description": "example",
        "documetation": "example",
        "tags": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true,
            "isDspm": true
          }
        ],
        "termins": [
          {
            "id": "example",
            "name": "example",
            "isAiLinked": true
          }
        ],
        "domain": null,
        "service": "example",
        "isDocumentationAiGenerated": true,
        "statement": "example",
        "language": "example",
        "isNameAiGenerated": true,
        "isPublished": true
      }
    }
    
  • Type: object

    childrenCount

    Type: string

    Number of direct child resources.

    Example: example

    Example
    {
      "childrenCount": "example"
    }
    
Example
{
  "childrenCount": "example",
  "detailedObject": "asset",
  "asset": {
    "datacatalogId": "example",
    "name": "example",
    "createdAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "updatedAt": null,
    "urn": "example",
    "description": "example",
    "documetation": "example",
    "tags": [
      {}
    ],
    "termins": [
      {}
    ],
    "domain": null,
    "service": "example",
    "isDocumentationAiGenerated": true,
    "parent": {
      "urn": "example",
      "name": "example"
    },
    "path": [
      null
    ],
    "type": {
      "type": "example",
      "name": "example"
    },
    "payload": "example",
    "majorVersion": "example",
    "minorVersion": "example",
    "ingestionIds": [
      "example"
    ],
    "ingestionSourceIds": [
      "example"
    ],
    "lastIngestionAt": null,
    "subTypes": [
      null
    ],
    "assetTypeSpecificInfo": "query",
    "query": {
      "text": "example",
      "language": "example",
      "isPublished": true
    }
  }
}

Была ли статья полезна?

Предыдущая
Overview
Следующая
Overview
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»